##### dynamic_vector_buffer::data (3 of 3 overloads)

DynamicBuffer_v2: Get a sequence of buffers that represents the underlying memory.

    const_buffers_type data(
        std::size_t pos,
        std::size_t n) const;

###### Parameters

pos

  Position of the first byte to represent in the buffer sequence

n

  The number of bytes to return in the buffer sequence. If the underlying memory is shorter, the buffer sequence represents as many bytes as are available.

###### Remarks

The returned object is invalidated by any `dynamic_vector_buffer` or `vector` member function that resizes or erases the vector.